/* =====================
    SECTION: Top Bar
    ====================== */


.head__link a {
  color: #fff;
  overflow: hidden;
  font-weight: 500;
  text-align: center;
  padding: 6px 26px;
  display: block;
  border-radius: 0 0 30px 30px;
}

/* =====================
      SECTION: Header
      ====================== */

header.sticky-lg-top {
  z-index: 1021;
}

.menu__bar {
  background: var(--primary-color);
}

.menu__bar .dropdown {
  position: initial;
}

.menu__bar .nav-link {
  color: var(--bs-light);
}

.menu__bar .dropdown-menu {
  padding: 0.5rem;
  border: none;
  border-radius: 0;
  top: 100%;
  left: inherit;
  min-width: 270px;
}

@media (hover: hover) {
  .menu__bar .dropdown-menu {
    display: block;
    opacity: 0;
    transform: scaleY(0);
    transform-origin: top;
    transition: 300ms ease-in-out;
    transition-delay: 150ms;
  }

  .menu__bar .dropdown:hover>.dropdown-menu {
    transition-delay: 0s;
    opacity: 1;
    transform: scaleY(1);
  }
}

.menu__bar .mega-menu .dropdown-menu {
  left: 0.5rem;
  width: calc(100% - 1rem);
}

.menu__bar .dropdown-toggle::after {
  font-family: "bootstrap-icons";
  content: "\F282";
  border: none;
  vertical-align: middle;
  font-size: 0.625rem;
  font-weight: bold;
}

.menu__bar .dropdown-item {
  font-size: 1rem;
  color: var(--primary-color);
  font-weight: 500;
  padding-block: 0.5rem;
  margin-block: 0.25rem;
  position: relative;
  white-space: inherit;
  border-bottom: 1px solid #eee;
}

.menu__bar li:last-child .dropdown-item {
  border-bottom: 0px;
}

.menu__bar .dropdown-item:hover {
  background: var(--secondary-color);
  color: var(--bs-light);
  transition: 300ms ease-in-out;
}

.menu__bar :is(.dropend, .dropstart) .dropdown-toggle {
  color: inherit;
  text-decoration: none;
}

.menu__bar .dropend .dropdown-toggle::after {
  font-family: "bootstrap-icons";
  content: "\F285";
  border: none;
  vertical-align: middle;
  font-size: 0.625rem;
  font-weight: bold;
}

.menu__bar .dropstart .dropdown-toggle::before {
  font-family: "bootstrap-icons";
  content: "\F284";
  border: none;
  vertical-align: middle;
  font-size: 0.625rem;
  font-weight: bold;
}

@media (hover: hover) {
  .menu__bar .dropend .dropdown-menu {
    transform: scaleX(0);
    transform-origin: left center;
    top: 0;
    right: auto;
    left: 100%;
    z-index: 1111;
  }

  .menu__bar .dropstart .dropdown-menu {
    transform: scaleX(0);
    transform-origin: right center;
    top: 0;
    right: 100%;
    left: auto;
    z-index: 1111;
  }

  .menu__bar .dropend:hover>.dropdown-menu {
    transform: scaleX(1);
    opacity: 1;
  }

  .menu__bar .dropstart:hover>.dropdown-menu {
    transform: scaleX(1);
    opacity: 1;
  }
}

/* =====================
      SECTION: Footer
      ====================== */
footer {
  margin-top: auto;
  position: relative;
  background: rgb(var(--primary-color-rgb));
  z-index: 1;
}

footer::before {
  content: "";
  inset: 0;
  position: absolute;
  background: url(../images/bg/footer__bg.webp);
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
  opacity: 0.03;
  z-index: -1;
}

.footer__container {
  position: relative;
}

.footer__container .container {
  border-bottom: 1px solid rgb(255 255 255 / 27%);
}

.footer__info .list-group {
  --bs-list-group-bg: transparent;
  --bs-list-group-border-color: color-mix(in srgb,
      var(--primary-color) 75%,
      var(--bs-body-bg) 25%);
  margin-top: 1rem;
}

.footer__info .list-group .bi {
  color: var(--bs-light);
}

.footer__widget .footer__title {
  color: #fff;
}

.footer__cpr {
  color: var(--bs-light);
}

.footer__container .nav-item {
  padding: 6px 8px;
}

.footer__container .nav-link {
  color: #fff;
}

.footer__cpr a {
  color: var(--secondary-color);
  text-decoration: none;
}

.footer_ql {
  color: #fff;
  padding: 0px 15px;
  /*box-shadow: inset 0px 0px 0px 20px rgb(255 255 255 / 6%);
    border-radius: 30px;
    border: 1px solid rgba(255, 255, 255, 0.29);
    font-weight: normal;
    display: inline-block;
    margin-bottom: 10px; */
}

footer .list-items li {
  display: flex;
  gap: 0.5rem;
  margin-bottom: 0.7rem;
  color: var(--bs-light);
}

footer .list-items li i {
  color: var(--secondary-color);
}

.social-media {
  display: flex;
  flex-direction: column;
  color: #fff;
  gap: 15px;
  justify-content: start;
}

.social-media li a {
  display: flex;
  align-items: center;
  color: white;
  gap: 10px;
}

ul.social-media i {
  background-color: var(--secondary-color);
  width: 44px;
  height: 44px;
  justify-content: center;
  align-items: center;
  display: flex;
  font-size: 22px;
  color: var(--accent-color);
  border-radius: 50%;
  transition: 0.3s linear;
}

ul.social-media a:hover i {
  transform: rotateY(360deg);
}

/* =====================
      SECTION: Breadcrumb
      ====================== */
.breadcrumb__sc {
  background: linear-gradient(rgba(var(--primary-color-rgb), 0.7),
      rgba(var(--primary-color-rgb), 0.7)),
    url("../images/breadcrumb-bg.webp") no-repeat center/cover;
  padding-block: clamp(3rem, calc(3rem + 1.5vw), 5rem);
  position: relative;
  color: #fff;
}

.breadcrumb__sc .breadcrumb {
  background: var(--bs-body-bg);
  width: max-content;
  display: inline-flex;
  padding: 0.5rem 2rem;
  border-radius: 50vw;
  position: absolute;
  bottom: 0;
  left: 50%;
  transform: translate(-50%, 50%);
}

.breadcrumb__sc .breadcrumb-item {
  color: var(--primary-color);
}

.breadcrumb__sc .breadcrumb-item a {
  color: var(--primary-color);
  text-decoration: none;
  font-weight: 600;
}

/* =====================
    SECTION: Buttons
    ====================== */
.btn {
  padding: var(--button-padding-y) var(--button-padding-x);
}

.btn-lg {
  padding: calc(var(--button-padding-y) * 1.25) calc(var(--button-padding-x) * 2);
}

.btn-sm {
  padding: calc(var(--button-padding-y) / 2) calc(var(--button-padding-x) / 2);
}

/* .btn-main {
    background: var(--primary-color);
    color: var(--bs-light);
    transition: color 250ms ease-in-out;
  }

  .btn-main:hover {
    color: var(--bs-white);
  }

  .btn-main-outline {
    color: var(--primary-color);
    transition: 250ms ease-in-out;
    border: 2px solid currentColor;
  }

  .btn-main-outline:hover {
    color: #fff;
    background: var(--primary-color);
  }

  .btn-alt {
    background: var(--secondary-color);
    color: var(--bs-light);
    border-color: var(--secondary-color);
  }

  .btn-alt:hover {
    background: rgba(var(--secondary-color-rgb), 0.85);
    border-color: rgba(var(--secondary-color-rgb), 0.85);
  } */

.btn-main {
  display: inline-block;
  outline: none !important;
  text-decoration: none;
  color: #ffffff;
  border-radius: 35px;
  background: linear-gradient(90deg,
      #4026e1 33.04%,
      rgba(185, 102, 231, 0) 246.73%);
  font-size: 18px;
  font-weight: 500;
  padding: 11px 40.5px 14px;
  transition: 500ms;
  overflow: hidden;
  z-index: 2;
  position: relative;
  transition-delay: calc((var(--n) - 1) * 0.1s);
  -webkit-transition-delay: calc((var(--n) - 1) * 0.1s);
  -moz-transition-delay: calc((var(--n) - 1) * 0.1s);
  -webkit-transition: all ease 0.3s;
  -moz-transition: all ease 0.3s;
  transition: all ease 0.3s;
}

.btn-main__text {
  position: relative;
  z-index: 2;
  top: 2px;
}

.btn-main__shape {
  display: inline-block;
  position: absolute;
  width: 25%;
  height: 100%;
  background: #020d23;
  transform: translateY(150%);
  border-radius: 50%;
  left: calc((var(--b) - 1) * 25%);
  transition: 0.5s;
  transition-delay: calc((var(--b) - 1) * 0.1s);
  z-index: 1;
}

.btn-main__shape:nth-child(1) {
  --b: 1;
}

.btn-main__shape:nth-child(2) {
  --b: 2;
}

.btn-main__shape:nth-child(3) {
  --b: 3;
}

.btn-main__shape:nth-child(4) {
  --b: 4;
}

.btn-main:hover {
  color: #ffff;
}

.btn-main:hover .btn-main__shape {
  transform: translateY(0) scale(2);
  -moz-transform: translateY(0) scale(2);
  -moz-transform: translateY(0) scale(2);
}

/* =====================
    SECTION: Custom
    ====================== */
body.tox-fullscreen :not([class*="tox"]) {
  position: static !important;
}

.blink1 {
  -webkit-animation: blink1 1s infinite;
  -moz-animation: blink1 1s infinite;
  /* Fx 5+ */
  -o-animation: blink1 1s infinite;
  /* Opera 12+ */
  animation: blink1 1s infinite;
  /* IE 10+, Fx 29+ */
  border-radius: 0 0 30px 30px;
}

@-webkit-keyframes blink1 {

  0%,
  49% {
    background-color: var(--secondary-color);
  }

  50%,
  100% {
    color: #fff;
    background-color: var(--primary-color);
  }
}

.blink2 {
  -webkit-animation: blink2 1s infinite;
  -moz-animation: blink2 1s infinite;
  /* Fx 5+ */
  -o-animation: blink2 1s infinite;
  /* Opera 12+ */
  animation: blink2 1s infinite;
  /* IE 10+, Fx 29+ */
  border-radius: 0 0 30px 30px;
}

@-webkit-keyframes blink2 {

  0%,
  49% {
    background-color: var(--primary-color);
  }

  50%,
  100% {
    background-color: var(--secondary-color);
  }
}